Test suite per ai3
==================

# Setup iniziale

Per testare l'ambiente locale di test di ai3 (Vagrant), bisogna prima
installare alcuni prerequisiti. Anzitutto serve *virtualenv*, per
es. su una macchina Debian:

    $ sudo apt install python3-virtualenv

Dopodiché bisogna creare una directory *venv* con un'installazione
locale di Python (per evitare di "sporcare" il sistema con le
dipendenze della suite di test):

    $ virtualenv --python python3 venv

Infine bisogna installare la test suite dentro questo ambiente Python
temporaneo:

    $ ./venv/bin/python3 setup.py develop


# Test

Per lanciare i test, bisogna passare il file di configurazione ai3 di
Ansible (quello cioè passato come inventory) attraverso la variabile
di ambiente `TEST_CONF`. Questo punta la test suite agli host giusti,
relativamente ad una particolare configurazione usata con Ansible. Per
esempio, per testare l'ambiente locale Vagrant di default:

    $ TEST_CONF=../../conf/config-vagrant.yml ./venv/bin/nosetests -v .

L'integrazione con 'float' avviene tramite un playbook apposito (ai3-test):

    $ ANSIBLE_STDOUT_CALLBACK=minimal ../../float/float run ../../config/playbooks/ai3-test.yml
